## ros-melodic-rqt-drone-teleop 1.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rqt_drone_teleop)

find_package(catkin REQUIRED COMPONENTS
	geometry_msgs
	rospy
	rqt_gui
	rqt_gui_py
	sensor_msgs
)

catkin_python_setup()

catkin_package()

install(PROGRAMS
	scripts/rqt_drone_teleop
	DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY resource
	DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(FILES
	plugin.xml
	DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-rqt-drone-teleop (1.3.2-5stretch) stretch; urgency=high

  * New GUI for rqt_drone_teleop plugin. Added position and velocity info.
  * Contributors: diegomrt, Pedro Arias

 -- Nikhil Khedekar <nikhilvkhedekar@gmail.com>  Tue, 05 May 2020 22:00:00 -0000

ros-melodic-rqt-drone-teleop (1.3.1-5stretch) stretch; urgency=high

  * Fixing dependency on metapackage
  * Contributors: Pedro Arias

 -- Nikhil Khedekar <nikhilvkhedekar@gmail.com>  Thu, 13 Feb 2020 23:00:00 -0000

ros-melodic-rqt-drone-teleop (1.2.0-5stretch) stretch; urgency=high



 -- Nikhil Khedekar <nikhilvkhedekar@gmail.com>  Mon, 10 Feb 2020 23:00:00 -0000

ros-melodic-rqt-drone-teleop (1.1.0-5stretch) stretch; urgency=high

  * generating pkg for melodic distro
  * Contributors: Pedro Arias

 -- Nikhil Khedekar <nikhilvkhedekar@gmail.com>  Sun, 19 Jan 2020 23:00:00 -0000

ros-melodic-rqt-drone-teleop (1.0.1-5stretch) stretch; urgency=high

  * added topics as parameters
  * Contributors: Nikhil Khedekar

 -- Nikhil Khedekar <nikhilvkhedekar@gmail.com>  Sat, 17 Aug 2019 22:00:00 -0000

ros-melodic-rqt-drone-teleop (1.0.0-5stretch) stretch; urgency=high

  * corrected dependancies
  * stop drone button now also stops code
  * updated gui image
  * removed launch and perspective
  * Contributors: Nikhil Khedekar

 -- Nikhil Khedekar <nikhilvkhedekar@gmail.com>  Wed, 31 Jul 2019 22:00:00 -0000

ros-melodic-rqt-drone-teleop (0.0.1-5stretch) stretch; urgency=high

  * updated makefile
  * updated ui and functionality
  * updated teleop
  * added screenshot
  * added mode 2 sticks
  * changed casing and fixed image path for teleop
  * corrected perspective
  * shifted to a common teleop
  * Contributors: Nikhil Khedekar

 -- Nikhil Khedekar <nikhilvkhedekar@gmail.com>  Fri, 19 Jul 2019 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-rqt-drone-teleop
Section: misc
Priority: optional
Maintainer: Nikhil Khedekar <nikhilvkhedekar@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python-rospkg, ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-roslib, ros-melodic-rospy, ros-melodic-rqt-gui, ros-melodic-rqt-gui-py, ros-melodic-sensor-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-rqt-drone-teleop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-rospkg, ros-melodic-geometry-msgs, ros-melodic-roslib, ros-melodic-rospy, ros-melodic-rqt-gui, ros-melodic-rqt-gui-py, ros-melodic-sensor-msgs
Description: A common drone teleop interface for all drone exercises in the JdeRobot Robotics Academy

## ros-melodic-rqt-drone-teleop 1.3.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rqt_drone_teleop)

find_package(catkin REQUIRED COMPONENTS
	geometry_msgs
	rospy
	rqt_gui
	rqt_gui_py
	sensor_msgs
	drone_wrapper
)

catkin_python_setup()

catkin_package()

install(PROGRAMS
	scripts/rqt_vel_teleop
	scripts/rqt_cam_viewer
	scripts/rqt_pos_teleop
	DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY resource perspectives
	DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(FILES
	plugin_vel_teleop.xml
	plugin_cam_viewer.xml
	plugin_pos_teleop.xml
	DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-rqt-drone-teleop (1.3.10-1bionic) bionic; urgency=high



 -- Pedro Arias <pedroariasperez96@gmail.com>  Wed, 03 Nov 2021 23:00:00 -0000

ros-melodic-rqt-drone-teleop (1.3.9-1bionic) bionic; urgency=high

  * Added default values to ensure retro-compatibility
  * Added takeoff config to rqt_pos_teleop
  * Customizable takeoff height and precision from launch and during running
  * RQT widgets are model dependant free.
  * Added Tello compatibility basics
  * Contributors: Diego Martín, Nikhil Khedekar, pariaspe

 -- Pedro Arias <pedroariasperez96@gmail.com>  Thu, 14 Oct 2021 22:00:00 -0000

ros-melodic-rqt-drone-teleop (1.3.8-1bionic) bionic; urgency=high



 -- Nikhil Khedekar <nikhilvkhedekar@gmail.com>  Tue, 13 Apr 2021 22:00:00 -0000

ros-melodic-rqt-drone-teleop (1.3.7-1bionic) bionic; urgency=high



 -- Nikhil Khedekar <nikhilvkhedekar@gmail.com>  Sun, 28 Feb 2021 23:00:00 -0000

ros-melodic-rqt-drone-teleop (1.3.6-1bionic) bionic; urgency=high

  * New setup.py. Fixing jenkins-build fail.
  * Contributors: pariaspe

 -- Nikhil Khedekar <nikhilvkhedekar@gmail.com>  Mon, 11 Jan 2021 23:00:00 -0000

ros-melodic-rqt-drone-teleop (1.3.5-1bionic) bionic; urgency=high

  * Freeze fixed using python threadings. Might be improved using a ROS-based solution.
  * Removed RQT dependencies with subscribers and topics. These topics are now throttled by new drone_wrapper topics. This allows to make the RQT independent to the kind of drone connected.
  * Template dependency removed from rqt_drone_teleop. The template callbacks are no longer required to send commands to the drone. The command flow goes directly from the rqt to the drone wrapper without passing through the exercise template.
  * Removed RQT dependencies with subscribers and topics. These topics are now throttled by new drone_wrapper topics. This allows to make the RQT independent to the kind of drone connected.
  * Template dependency removed from rqt_drone_teleop. The template callbacks are no longer required to send commands to the drone. The command flow goes directly from the rqt to the drone wrapper without passing through the exercise template.
  * Contributors: pariaspe

 -- Nikhil Khedekar <nikhilvkhedekar@gmail.com>  Mon, 28 Dec 2020 23:00:00 -0000

ros-melodic-rqt-drone-teleop (1.3.4-1bionic) bionic; urgency=high

  * Added perspectives
  * READMEs updated
  * Added new GUI screenshots
  * Contributors: pariaspe

 -- Nikhil Khedekar <nikhilvkhedekar@gmail.com>  Sat, 27 Jun 2020 22:00:00 -0000

ros-melodic-rqt-drone-teleop (1.3.3-1bionic) bionic; urgency=high

  * Takeoff button disabled until landed state is defined (drone is ready).
  * Takeoff/land button synchronized between vel and pos teleop.
  * RQT freezing fixed.
  * Drone teleop pkg modularized into two modules: rqt_vel_teleop and rqt_cam_viewer.
  * One new module is added: rqt_pos_teleop.
  * Added support to greyscale8 images.
  * Contributors: pariaspe

 -- Nikhil Khedekar <nikhilvkhedekar@gmail.com>  Tue, 09 Jun 2020 22:00:00 -0000

ros-melodic-rqt-drone-teleop (1.3.2-1bionic) bionic; urgency=high

  * New GUI for rqt_drone_teleop plugin. Added position and velocity info.
  * Contributors: diegomrt, Pedro Arias

 -- Nikhil Khedekar <nikhilvkhedekar@gmail.com>  Tue, 05 May 2020 22:00:00 -0000

ros-melodic-rqt-drone-teleop (1.3.1-1bionic) bionic; urgency=high

  * Fixing dependency on metapackage
  * Contributors: Pedro Arias

 -- Nikhil Khedekar <nikhilvkhedekar@gmail.com>  Thu, 13 Feb 2020 23:00:00 -0000

ros-melodic-rqt-drone-teleop (1.2.0-1bionic) bionic; urgency=high



 -- Nikhil Khedekar <nikhilvkhedekar@gmail.com>  Mon, 10 Feb 2020 23:00:00 -0000

ros-melodic-rqt-drone-teleop (1.1.0-1bionic) bionic; urgency=high

  * generating pkg for melodic distro
  * Contributors: Pedro Arias

 -- Nikhil Khedekar <nikhilvkhedekar@gmail.com>  Sun, 19 Jan 2020 23:00:00 -0000

ros-melodic-rqt-drone-teleop (1.0.1-1bionic) bionic; urgency=high

  * added topics as parameters
  * Contributors: Nikhil Khedekar

 -- Nikhil Khedekar <nikhilvkhedekar@gmail.com>  Sat, 17 Aug 2019 22:00:00 -0000

ros-melodic-rqt-drone-teleop (1.0.0-1bionic) bionic; urgency=high

  * corrected dependancies
  * stop drone button now also stops code
  * updated gui image
  * removed launch and perspective
  * Contributors: Nikhil Khedekar

 -- Nikhil Khedekar <nikhilvkhedekar@gmail.com>  Wed, 31 Jul 2019 22:00:00 -0000

ros-melodic-rqt-drone-teleop (0.0.1-1bionic) bionic; urgency=high

  * updated makefile
  * updated ui and functionality
  * updated teleop
  * added screenshot
  * added mode 2 sticks
  * changed casing and fixed image path for teleop
  * corrected perspective
  * shifted to a common teleop
  * Contributors: Nikhil Khedekar

 -- Nikhil Khedekar <nikhilvkhedekar@gmail.com>  Fri, 19 Jul 2019 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-rqt-drone-teleop
Section: misc
Priority: optional
Maintainer: Pedro Arias <pedroariasperez96@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python-rospkg, ros-melodic-catkin, ros-melodic-drone-wrapper, ros-melodic-geometry-msgs, ros-melodic-roslib, ros-melodic-rospy, ros-melodic-rqt-gui, ros-melodic-rqt-gui-py, ros-melodic-sensor-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-rqt-drone-teleop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-rospkg, ros-melodic-drone-wrapper, ros-melodic-geometry-msgs, ros-melodic-roslib, ros-melodic-rospy, ros-melodic-rqt-gui, ros-melodic-rqt-gui-py, ros-melodic-sensor-msgs
Description: A common drone teleop interface for all drone exercises in the JdeRobot Robotics Academy

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rqt-drone-teleop//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
